This plugin hasn’t been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

Edd Discounts By Location

Description

The plugin restricts an EDD discount code to be availed only by the users of specific nation/s selected by the admin. This simple-yet-amazing plugin is extremely user friendly and a great way to popularize your online store globally.
Gone are the days when you had to call for a developer and cough off some hard cash to develop a module for your ecommerce site to allow coupons for specific countries. Here’s a plugin that’ll help you do this, without charging a single penny.
Enjoy the best of this plugin on special occasions or days of celebrations in particular nations like – “National Day Discount” for customers from France, on 14th July, “Saint Patrick’s Day Offer” for buyers from Ireland, on 17th March; or “The Champion’s Discount” for users of a country, which just won a global sports championship.
This EDD add-on is an easier, faster and a cheapest way to increase the conversion of your site. After all, the more discounts a site offers, the happier its users are!

Feedback

All we want is some love. If you did not like this plugin or if it is buggy, please give us a shout and we will be happy to fix the issue/add the feature. If you indeed liked it, please leave a 5/5 rating.
In case you feel compelled to rate this plugin less than 5 stars – please do mention the reason and we will add or change options and fix bugs. It’s very unpleasant to see silent low rates. For more information and instructions on this plugin please visit www.dualcube.com.

Screenshots

  • Setup countries for a discount code.
  • If the discount code is invalid for a country then it shows an error message and stop the user to purchase with that discount code.

FAQ

Does this plugin work with newest WP version and also older versions?

Yes, this plugin works really fine with WordPress 4.0.1! It is also compatible for older WordPress versions upto 3.0.1.

Up to which version of Easy Digital Downloads this plugin compatible with?

This plugin is compatible with the latest version of Easy Digital Downloads, that is, Version 2.2.1.

Changelog

1.0.0

Initial version release.

1.0.1

Minor bug fix.

Contributors & Developers

This is open source software. The following people have contributed to this plugin.

Contributors

Browse the code